# Fetching user information

To use this endpoint, ensure that authentication is performed beforehand. Refer to the [Getting Started guide](/filemail-api-2.0/getting-started.md#authentication-with-the-api-key) for detailed instructions. This endpoint provides all details about current user.

## GET /user/me

>

```json
{"openapi":"3.0.4","info":{"title":"Filemail REST API","version":"2.0"},"tags":[{"name":"User"}],"servers":[{"url":"https://api-public.filemail.com","description":"Production"}],"paths":{"/user/me":{"get":{"tags":["User"],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UserBaseResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserBaseResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserBaseResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"UserBaseResponse":{"type":"object","properties":{"responsestatus":{"$ref":"#/components/schemas/FilemailStatusEnum"},"errorid":{"type":"string","nullable":true},"errormessage":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/User"},"errorcode":{"type":"integer","description":"Numeric representation of the `responsestatus` field.","format":"int32","nullable":true,"readOnly":true}},"additionalProperties":false},"FilemailStatusEnum":{"enum":["OK","UnknownError","InvalidParameter","InputParameterMissing","InvalidEmail","NotFound","CantRemoveLastCorpAdmin","CantRemoveYourself","CantRemoveAdminRoleForYourself","ServiceInterruption","ImageThumbTooExpensive","MissingApikey","InvalidApikey","ApiKeyQuotaExceeded","RateLimitExceeded","WrongUsernamePassword","PasswordTooWeak","InvalidOrExpiredLoginToken","AccountExpired","CaptchaRequiredForNextLogin","LDAPUnableToCreateUser","LDAPWrongUsernamePassword","AccessDenied","CorpAuthenticationRequired","InvalidRequest","UseSsoLink","SsoSessionExpired","SsoCompanyDoesNotUseAdLogin","SsoGroupIdNotSupported","SsoSignatureInvalid","TwoFactorTokenNotFound","TwoFactorUserNotFound","TwoFactorPinNotValid","PasswordResetRequired","SsoUserDisabled","SsoLoginGeneralError","SsoMissingAuthCode","RefreshTokenExpired","RefreshTokenAlreadyUsed","SsoResetPasswordBlocked","AuthorizationFailure","CorpAuthorizationFailed","BusinessAccountExistsRegistrationRequired","UserAccountExistsLoginRequired","Blocked","AllFileserversBusy","FreeLimitReached","AccountExpiredAndOutOfTransferCredits","EmailNotVerified","FeatureAvailableForRegisteredUsers","FileSizeBlockSender","FileSizeBlockRecipient","TooManyRecipients","InvalidTransferState","TransferExpired","PasswordRequired","UploadNotComplete","FileIsDeleted","UploadRecentlyUpdated","FileIsInfected","SubscriptionNotFound","EmailAlreadyRegistered","SignupFormNotAccepted","SessionPasswordNotFound","SessionCustRefNotFound","AllUserLicencesesInUse","RegistrationRequired","PaymentMethodNotAccepted","SubscriptionCancellationFailed","InvalidSubscriptionState","PaymentFailed","ReceiptVerificationError","ReceiptAlreadyUsedForActivation","SubscriptionNotPaid","SubscriptionAlreadyActivated","SubscriptionPurchaseAckFailed","InvoiceFailure","InvalidDowngrade","InvalidDataState","InvalidMembership","ContactsLimitReached","StorageCapReached","ContactsFileParseError","RecoveryNotPossible","ImageFileError","ContactDuplicate","ChunkDownloadError","FileOperationError","IncomingPageBlockedInOverdue","NotAVideo","OperationCancelled","FileRequestRecipientLimitTrial","FileRequestRecipientLimitBasic","FileRequestShareLimitTrial","FileRequestShareLimitBasic","FileRequestBlock","FileRequestShareLimitTimeframe"],"type":"string"},"User":{"type":"object","properties":{"maxdownloads":{"type":"integer","format":"int32"},"maxdays":{"type":"integer","format":"int32"},"maxtransfersize":{"type":"integer","format":"int64"},"membershipname":{"type":"string"},"istrial":{"type":"boolean"},"defaultnotify":{"type":"boolean"},"defaultdays":{"type":"integer","format":"int32"},"defaultconfirmation":{"type":"boolean"},"defaultdownloads":{"type":"integer","format":"int32"},"id":{"type":"string"},"name":{"type":"string","nullable":true},"intercomhash":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"mobilephone":{"type":"string","nullable":true},"signature":{"type":"string","nullable":true},"defaultsubject":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"newsletter":{"type":"boolean","nullable":true},"allowCommunicationEmails":{"type":"boolean","nullable":true},"created":{"type":"integer","format":"int64"},"ssoPlatform":{"type":"string","nullable":true},"cansend":{"type":"boolean"},"expired":{"type":"boolean"},"emailverifiedforsending":{"type":"boolean"},"freelimitreached":{"type":"boolean"},"companyname":{"type":"string","nullable":true},"companyid":{"type":"string","nullable":true},"admin":{"type":"boolean","nullable":true},"role":{"type":"integer","format":"int32"},"forcepasswordonincoming":{"type":"boolean","nullable":true},"canreceivefiles":{"type":"boolean","nullable":true},"buttonscolor":{"type":"string","nullable":true},"buttonstextcolor":{"type":"string","nullable":true},"companylogo":{"type":"string","nullable":true},"showallrecipients":{"type":"boolean"},"canstorefilesforever":{"type":"boolean"},"enforcepasswordpolicy":{"type":"boolean"},"udpenabled":{"type":"boolean"},"allowunlimiteddays":{"type":"boolean"},"allow3months":{"type":"boolean"},"canAccessOthersFiles":{"type":"boolean","nullable":true},"subscription":{"$ref":"#/components/schemas/Subscription"},"storageinuse":{"type":"integer","format":"int64","nullable":true},"storagelimit":{"type":"integer","format":"int64","nullable":true},"passwordMinLength":{"type":"integer","format":"int32","nullable":true},"contactgroups":{"type":"array","items":{"$ref":"#/components/schemas/ContactGroup"}},"twoFactorEnabled":{"type":"boolean","nullable":true},"loglevel":{"type":"string","nullable":true},"maxrecipients":{"type":"integer","format":"int32","nullable":true},"maxrecipientsaftertrial":{"type":"integer","format":"int32","nullable":true},"allowautodownloads":{"type":"boolean"},"allowpasswordprotection":{"type":"boolean"},"allowdownloadtracking":{"type":"boolean"},"allowe2ee":{"type":"boolean"},"allowPortals":{"type":"boolean"},"allowMultiplePortals":{"type":"boolean"},"canManageSubscription":{"type":"boolean"},"requireE2EEwhenSending":{"type":"boolean","nullable":true},"requireE2EEwhenReceiving":{"type":"boolean","nullable":true}},"additionalProperties":false},"Subscription":{"type":"object","properties":{"active":{"type":"boolean"},"expireDate":{"type":"integer","format":"int64","nullable":true},"currency":{"type":"string"},"interval":{"type":"string"},"membershipname":{"type":"string"},"showExVatLabelOnPrices":{"type":"boolean"},"allowMultipleUsers":{"type":"boolean"},"licenseCount":{"type":"integer","format":"int32"},"licensePrice":{"type":"number","format":"double"},"pricePerTBPerUser":{"type":"number","format":"double"},"subscriptionPrice_Users":{"type":"number","format":"double"},"subscriptionPrice_Storage":{"type":"number","format":"double"},"subscriptionPrice_Total":{"type":"number","format":"double"},"paymentGateway":{"$ref":"#/components/schemas/PaymentGateways"},"licensesInUse":{"type":"integer","format":"int32"},"canChangePlan":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canUpdatePaymentMethod":{"$ref":"#/components/schemas/SettingsFeatureDto"},"changeSubscriptionMobileAppLink":{"type":"string","nullable":true},"canChangeInterval":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canManageLicenses":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canChangeLicenseCount":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canCancel":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canUpgrade":{"$ref":"#/components/schemas/SettingsFeatureDto"},"isTrial":{"type":"boolean"},"nextPaymentDate":{"type":"integer","format":"int64","nullable":true},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodDto"},"storageBytesInUse":{"type":"integer","format":"int64"},"storageBytesLimit":{"type":"integer","format":"int64"},"storageBytesIncludedInMembership":{"type":"integer","format":"int64"},"storageBytesAdditional":{"type":"integer","format":"int64"}},"additionalProperties":false},"PaymentGateways":{"enum":["PayPal","PayEx","Chargify","None","PowerOffice","Braintree","AppStore","PlayStore","Stripe"],"type":"string"},"SettingsFeatureDto":{"type":"object","properties":{"state":{"$ref":"#/components/schemas/SettingsFeatureState"},"reason":{"type":"string","nullable":true},"link":{"type":"string","nullable":true}},"additionalProperties":false},"SettingsFeatureState":{"enum":["active","hidden","blocked"],"type":"string"},"PaymentMethodDto":{"type":"object","properties":{"paymentMethod":{"$ref":"#/components/schemas/PaymentMethod"},"creditCardBrand":{"type":"string","nullable":true},"creditCardLast4":{"type":"string","nullable":true},"creditCardName":{"type":"string","nullable":true},"creditCardExpireYear":{"type":"integer","format":"int32","nullable":true},"creditCardExpireMonth":{"type":"integer","format":"int32","nullable":true},"payPalEmail":{"type":"string","nullable":true},"paymentMethodTextInfo":{"type":"string","nullable":true}},"additionalProperties":false},"PaymentMethod":{"enum":["PayPal","CreditCard","Invoice","AppStore","GooglePay","Uknown","Digital"],"type":"string"},"ContactGroup":{"type":"object","properties":{"numberofcontacts":{"type":"integer","format":"int32","nullable":true},"contactgroupid":{"type":"string"},"contactgroupname":{"type":"string"},"corp_shared":{"type":"boolean"},"allow_edit":{"type":"boolean"},"contacts":{"type":"array","items":{"$ref":"#/components/schemas/Contact"},"nullable":true}},"additionalProperties":false},"Contact":{"type":"object","properties":{"contactid":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"mobile":{"type":"string"},"corp_shared":{"type":"boolean"},"allow_edit":{"type":"boolean"},"groups":{"type":"array","items":{"$ref":"#/components/schemas/ContactGroup"}}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","additionalProperties":{"nullable":true}}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.filemail.com/api/fetching-user-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
